camel-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "surya (Updated) (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (CAMEL-4751) camel-guice osgi import version range in manifest.mf
Date Wed, 07 Dec 2011 22:02:40 GMT

     [ https://issues.apache.org/jira/browse/CAMEL-4751?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

surya updated CAMEL-4751:
-------------------------

    Attachment: camel_guice_osgi_import_version_fix.patch

changed properties in camel-guice pom.xml. to be compatible with versioning from google-guice
jars.
                
> camel-guice osgi import version range in manifest.mf
> ----------------------------------------------------
>
>                 Key: CAMEL-4751
>                 URL: https://issues.apache.org/jira/browse/CAMEL-4751
>             Project: Camel
>          Issue Type: Bug
>          Components: camel-guice
>    Affects Versions: 2.8.2
>         Environment: windows, linux
>            Reporter: surya
>              Labels: 2.8.3, 2.9.0, camel
>             Fix For: 2.9.0
>
>         Attachments: camel_guice_osgi_import_version_fix.patch
>
>   Original Estimate: 24h
>  Remaining Estimate: 24h
>
> in Camel-Guice component's pom.xml we have:
>  <properties>    
>     <camel.osgi.export.pkg>org.apache.camel.guice.*</camel.osgi.export.pkg>
>     <camel.osgi.import.additional>
>         com.google.inject*;version="[2,3)"        
>     </camel.osgi.import.additional>
>   </properties>
> i.e imported version of google-guice package is [2,3). Unfortunately this in not compatible
with any of the releases from Google-Guice (version 2 or 3). Guice seems to maintain 'package'
level versioning. "com.google.inject;version=1.3"
> Suggested:fix:
> Change the lower version from 2 to 1.2 .
> This bug is a showstopper for us to integrate and deploy solution with camel+guice+peaberry
on to karaf osgi.
> We have from guice 3:
> guice 
> ----------
> Manifest-Version = 1.0
> Archiver-Version = Plexus Archiver
> Built-By = mcculls
> Build-Jdk = 1.6.0_24
> Created-By = Apache Maven
> Bundle-Vendor = Google, Inc.
> Bundle-RequiredExecutionEnvironment = J2SE-1.5,JavaSE-1.6
> Bundle-Name = guice
> Bundle-Copyright = Copyright (C) 2006 Google Inc.
> Bundle-DocURL = http://code.google.com/p/google-guice/
> Bundle-Description = Guice is a lightweight dependency injection framework for J
> ava 5 and above
> Bundle-SymbolicName = com.google.inject
> Bundle-Version = 3.0.0
> Bundle-License = http://www.apache.org/licenses/LICENSE-2.0.txt
> Bundle-ManifestVersion = 2
> Import-Package =
>         javax.inject,
>         org.aopalliance.intercept
> Export-Package =
>         com.google.inject.matcher;version=1.3,
>         com.google.inject.name;version=1.3,
>         com.google.inject.spi;version=1.3,
>         com.google.inject.binder;version=1.3,
>         com.google.inject.util;version=1.3,
>         com.google.inject;version=1.3

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message